Bug 55777 - lossless quick rotate of (jpeg) pictures loses exif-infos
Summary: lossless quick rotate of (jpeg) pictures loses exif-infos
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kuickshow
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal with 876 votes (vote)
Target Milestone: ---
Assignee: Carsten Pfeiffer
URL:
Keywords:
: 57527 (view as bug list)
Depends on:
Blocks:
 
Reported: 2003-03-09 22:10 UTC by Christian Lorch
Modified: 2015-02-06 12:32 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Lorch 2003-03-09 22:10:05 UTC
Version:           0.8.5 (using KDE 3.1.0)
Installed from:    SuSE
Compiler:          gcc version 3.2
OS:          Linux (i686) release 2.4.19-4GB

I'd be happy if it would be possible to rotate jpegs (from Digicams) lossless (and keep the exif-informations, but I've already seen this on the wishlist).

At the moment I can rotate via 7, 8, 9, but to keep the rotation I have to create a new picture... or did I miss sth?

I found this feature in IrfanView for Windows and think that this is a really cool feature.
Comment 1 Thomas Schmidt 2003-06-27 13:57:56 UTC
This feature would be great! 
Comment 2 COIFFIER Frédéric 2003-07-23 01:34:03 UTC
I agree : I used to make 9 and next Ctrl+S but I loose EXIF information...
Comment 3 Datschge 2003-10-28 17:26:56 UTC
*** Bug 57527 has been marked as a duplicate of this bug. ***
Comment 4 Mark Szentes-Wanner 2003-11-14 18:33:00 UTC
I completely agree with #2. 
Comment 5 Daniel Berger 2003-12-03 13:55:54 UTC
It would be great, if this could be implemented somewhere central in kde, and then binded to the context-menu of konqueror too.
Comment 6 Christian Loose 2004-01-29 16:31:44 UTC
not a bug
Comment 7 Christian Loose 2004-01-29 18:45:35 UTC
Ok, since saving the rotated picture causes the loss of the EXIF information, it *is* a bug. Sorry.
Comment 8 probono 2004-05-18 20:49:59 UTC
Knoppix has this feature as a Konqueror kontext menu since ages. 
Comment 9 Robert Entner 2004-07-29 16:47:47 UTC
I also miss this feature. As a work around I added a shell script into the context menu of KDE whose core looks like this:
jpegtran -rotate 90 -copy all -trim filename.jpg
Comment 10 Chris Kerr 2006-08-21 20:34:21 UTC
alternatively, you could use jhead
Comment 11 Jonathan Thomas 2009-01-16 20:47:47 UTC

*** This bug has been marked as a duplicate of bug 176049 ***
Comment 12 Mark Szentes-Wanner 2009-01-18 23:45:23 UTC
Please do not be offended, but I am somehow disappointed.

Marking this kuickshow bug from the year 2003 as a duplicate of a gwenview bug from year 2008 is cheap. Especially, when latter's resolution is "UPSTREAM", and has not really been resolved.

Amazing, 5 years have gone by, "ages" in IT history.

Mark
Comment 13 Jonathan Thomas 2009-01-19 01:03:59 UTC
Yeah, the only reason I saw this is because it had 800 votes and I had seen the bug recently. Oh well, on the plus side it shows that the voting system is good for something. :P
Comment 14 Tristan Miller 2009-12-03 12:25:34 UTC
Please reopen this bug report.  It's ridiculous to mark a kuickshow bug as a duplicate of a gwenview bug.
Comment 15 Daniel Bengtsson 2009-12-03 14:43:53 UTC
Is kuickshow maintained anymore ? Are any distros using it ? It seems the latest release 0.8.5 was in 2003.
Comment 16 Tristan Miller 2009-12-03 15:21:07 UTC
Yes, it is still being maintained and released with KDE 4.  See Bug 188539.
Comment 17 Daniel Bengtsson 2009-12-04 10:53:48 UTC
Great. Then it makes even less sense with the current duplication status.
Comment 18 Carsten Pfeiffer 2009-12-06 20:14:50 UTC
I'll reopen it and am going to tackle it when I have some time. If anyone else feels like doing it, here's how I'd do it:
- link kuickshow to libexiv2 (or even libkexiv2)
- in the method that performs saving in kuickshow (somewhere in imlibwidget.cpp or imagewindow.cpp), read the tags before saving and apply them again after saving (because Imlib performs the saving itself and doesn't know anything about exiv tags).
Comment 19 Martin Steigerwald 2012-08-11 22:25:37 UTC
Hmm, is Kuickshow still developed? Can this be closed with "unmaintained" or so?

Does Gwenview have this feature?
Comment 20 Ernest ter Kuile 2012-08-12 05:49:14 UTC
I have no idea if this bug report is still current. Frankly, I hope not. since I reported it I haven not trusted kde to rotate my pictures. 

I'm sure though that you can close the bug. 

Thanks for asking!

Sent from my iPhone

On 12 aug. 2012, at 00:25, Martin Steigerwald <Martin@Lichtvoll.de> wrote:

> https://bugs.kde.org/show_bug.cgi?id=55777
> 
> Martin Steigerwald <Martin@Lichtvoll.de> changed:
> 
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                 CC|                            |Martin@Lichtvoll.de
> 
> --- Comment #19 from Martin Steigerwald <Martin@Lichtvoll.de> ---
> Hmm, is Kuickshow still developed? Can this be closed with "unmaintained" or
> so?
> 
> Does Gwenview have this feature?
> 
> -- 
> You are receiving this mail because:
> You voted for the bug.
Comment 21 Martin Steigerwald 2012-08-12 08:42:54 UTC
Well I can´t, cause I lack the bugzilla rights for it. ;)
Comment 22 Christoph Feck 2015-02-06 12:32:36 UTC
Thanks for your bug report or feature request.

The Kuickshow application is no longer maintained, and all open tickets are now closed.
See also http://websvn.kde.org/?view=revision&revision=1383834